import React, {Component} from 'react'
import {inject, observer} from "mobx-react"
import css from './index.scss'
import {Scroll,Modal,Forward,Load} from 'karaui'
import 'kara-module-tost/lib/index.css'
import tost,{errorTost} from "kara-module-tost";
import Card from './Card/index'
@inject('UCMedalStore', 'ConfigStore')
@observer
class UCInfo extends Component{
    constructor(props) {
        super(props)
    }
        state = {
                fadIn:false
        }
    componentDidMount(){
        this.props.ConfigStore.config.httpAgent.get('/medal/mine/list').then(
          res => {
            if(res && res.resultCode && res.resultCode === '000000') {
                console.log(res)
              this.props.UCMedalStore.getMineList(res)
            }
            else {
              tost({type:'error',msg:'获取用户信息失败',time:4})
            }
          }
        )
    }
    render(){
        const {UCMedalStore} = this.props;
        return (
            <div className={css.UCMedal} style={{width:'100%',height:'100%',paddingRight:'0px'}}>
                <Scroll>
                    <div>
                        {
                            UCMedalStore.mineList?UCMedalStore.mineList.map((o,i)=><Card card= {o} Modal={Modal} {...this.props}  key={i} />):null
                        }
                    </div>
                </Scroll>
            </div>
        )
    }
}

export default UCInfo
